<?php
$host = "webdev.iyaserver.com";
$userid = "dent_guest";
$userpw = "Acad276_Dev2Ex@m";
$db = "dent_exam";

// Connect to the database
$mysql = new mysqli(
    $host,
    $userid,
    $userpw,
    $db
);

if($mysql->connect_errno) {
    echo "db connection error : " . $mysql->connect_error;
    exit();
}

// Stop the page and display an error message if any of the required dropdown values are missing
if (empty($_REQUEST['manufacturer_id']) || empty($_REQUEST['system_id']) || empty($_REQUEST['type_id'])) {
    echo "Please go back to the search page.";
    exit();
}

// Generate SQL query
$sql = "SELECT devices.device_id, devices.name, devices.price, manufacturers.manufacturer, systems.system, types.type 
        FROM devices, manufacturers, systems, types 
        WHERE devices.manufacturer_id = manufacturers.manufacturer_id
        AND devices.system_id = systems.system_id
        AND devices.type_id = types.type_id";

// Handle "ALL" search option
if($_REQUEST['manufacturer_id'] != "all") {
    $sql .= " AND devices.manufacturer_id ='" . $_REQUEST["manufacturer_id"] . "'";
}
if($_REQUEST['system_id'] != "all") {
    $sql .= " AND devices.system_id ='" . $_REQUEST["system_id"] . "'";
}
if($_REQUEST['type_id'] != "all"){
    $sql .= " AND devices.type_id ='" . $_REQUEST["type_id"] . "'";
}

// Submit the SQL query
$results = $mysql->query($sql);

if(!$results) {
    echo "<hr>Your SQL:<br> " . $sql . "<br><br>";
    echo "SQL Error: " . $mysql->error . "<hr>";
    exit();
}

// Get the number of results dynamically
$num_results = $results->num_rows;

?>

<!DOCTYPE html>
<html>

<head lang="en">
    <meta charset="UTF-8">
    <title>Acad276 Practical Exam: Results</title>
    <style>
        .container {
            width:  600px;
            margin: auto;
        }

        h1 {
            margin: auto;
            text-align: center;
            background-color: #900;
            color: #FC0;
            height: 60px;
            line-height: 60px;
        }

        .num-results {
            margin: 20px 10px;
        }

        table {
            margin: auto;
            margin-bottom: 20px;
            width:  80%;
            border-collapse: collapse;
        }

        th, td {
            border: 1px solid #900;
            border-collapse: collapse;
            padding:    10px;
            text-align: center;
        }

        img {
            width: 100px;
        }

        .nav-link {
            margin: 10px 0px;
            font-size: 14px;
        }
    </style>
</head>

<body>

<div class="container">
    <h1>Mobile Device Database: Search Results</h1>

    <div class="nav-link">
        <a href="search.php"><< Back to Search Page</a>
    </div>

    <div class="num-results">
        Your search returned <strong><?php echo $num_results; ?></strong> result(s).
    </div>

    <table>
        <tr>
            <th>Name</th>
            <th>Price</th>
            <th>Manufacturer</th>
            <th>System</th>
            <th>Type</th>
        </tr>

        <?php
        while ($currentrow = $results->fetch_assoc()) {
            echo "<tr>" .
            "<td><a href='details.php?id=" . $currentrow['device_id'] . "'>" . $currentrow['name'] . "</a></td>" .
            "<td>" . $currentrow['price'] . "</td>" .
            "<td>" . $currentrow['manufacturer'] . "</td>" .
            "<td>" . $currentrow['system'] . "</td>" .
            "<td>" . $currentrow['type'] . "</td>" .
            "</tr>";
        }
        ?>

    </table>

</div>

</body>
</html>
